/* 
Theme Name: Child
Author: Brande Development Team
Author URI: https://www.brande.es
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

@font-face {
	font-family: 'PilcrowRounded';
	src: url('/wp-content/themes/child/fonts/PilcrowRounded-var.woff2') format('woff2 supports variations'),
       url('/wp-content/themes/child/fonts/PilcrowRounded-var.woff2') format('woff2-variations');
	font-weight: 100 1000;
	font-stretch: 25% 151%;
}
@font-face {
	font-family: 'Hind';
	src: url('/wp-content/themes/child/fonts/Hind-var.woff2') format('woff2 supports variations'),
       url('/wp-content/themes/child/fonts/Hind-var.woff2') format('woff2-variations');
	font-weight: 100 1000;
	font-stretch: 25% 151%;
}

/* tipografia */
body, input, textarea, select, button {
    font-synthesis: none;
    -moz-font-feature-settings: 'kern';
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    direction: ltr;
    text-align: left;
	font-family: 'Hind';
	font-weight: 400;
	font-size: 17px;
}
h1, h2, h3, h4, h5, h6 {
	font-family: 'PilcrowRounded';
	font-weight: 600;
}
h2 {
	color: var(--e-global-color-primary);
}
@media (min-width: 1100px) {
	h1 {
		font-size: 3.1rem;
	}
	h2 {
		font-size: 2.6rem;
	}
}

/* general */
body {
	color: var(--e-global-color-text);
}
a, a:hover, a:active {
	color: var(--e-global-color-text);
}
html ::-webkit-scrollbar {
	width: 7px;
	height: 7px;
	border-left: 1px solid var(--e-global-color-primary);
}
html ::-webkit-scrollbar-button {
    display: none;
  }
html ::-webkit-scrollbar-track {
    background-color: transparent;
  }
html ::-webkit-scrollbar-track-piece {
    background-color: transparent;
  }
html ::-webkit-scrollbar-thumb {
    background-color: var(--e-global-color-primary);
    border-radius: none;
  }
html ::-webkit-scrollbar-corner {
    background-color: #aaa;
  }
html ::-webkit-resizer {
    background-color: transparent;
  }
.elementor-icon-list-item {
    align-items: flex-start!important;
}
.elementor-icon-list-icon {
	display: block!important;
}

/* header */
#cabecera {
	position: relative;
	width: 100%;
	//height: 500px;
	z-index: 8888;
	padding: 10px 0;
	background: var(--e-global-color-primary);
}
#cabecera.hfe-sticky {
	top: 0px;
	position: fixed;
	width: 100%;
	max-height: 90px;
	animation: slide-down 0.8s;
	padding: 0;
	box-shadow: 0 0 20px #4d8ec960;
	z-index: 9991;
}

/* Safari altura header fix */
#cabecera.hfe-sticky .elementor-container {
	max-height: 90px;
	transition: 0.5s;
}

@media (max-width: 767px) {
	#cabecera.elementor-section,
	#cabecera.elementor-section.hfe-sticky {
		top: 0;
		padding: 0;
	}
}

@media (min-width: 1100px) {
	#cabecera.elementor-section .headerlogo img {
		transition: 0.8s;
	}
	#cabecera.elementor-section.hfe-sticky .headerlogo img {
		transform: scale(0.8);
		transform-origin: left;
		transition: 0.8s;
	}
}
@keyframes slide-down {
    0% {
        opacity: 0;
        transform: translateY(-100%);
    } 
    100% {
        opacity: 0.9;
        transform: translateY(0);
    }
}

/* footer */
footer {
	color: var(--e-global-color-secondary);
	background: var(--e-global-color-primary);
	background-image: url(/wp-content/uploads/bg-footer.png);
    background-repeat: no-repeat;
    background-size: cover;
}
footer a, footer a:hover, footer a:active {
	color: var(--e-global-color-secondary)!important;
}

/* inputs, buttons */
.elementor-button {
	display: inline-block;
	font-weight: 400;
	font-size: 1.1rem;
	border-radius: 0;
	padding: 1em 1.6em;
	width: max-content;
	background: var(--e-global-color-primary);
	outline: none;
	-webkit-appearance: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	color: var(--e-global-color-secondary);
	-webkit-transition: ease-out 0.4s;
	-moz-transition: ease-out 0.4s;
	transition: ease-out 0.4s;
}
.elementor-button:visited {
	color: currentcolor;
}

.boton-dcha .elementor-button {
	text-align: right;
}

/* tabla cookies */
.wp-block-table {
    overflow-x: auto;
}

figure.wp-block-table {
    display: block;
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0;
    margin-inline-end: 0;
    padding: 20px 0;
}

/* más info */
.masinfo .elementor-tab-content {
	position: absolute;
    background: #efefeff7;
    border-radius: 10px;
    margin-top: 10px;
    padding-bottom: 10px!important;
    box-shadow: 0 0 20px #4d8ec960;
	z-index: 9;
}

/* proyectos */
#proy-contenedor a {
	display: flex;
	flex-direction: column;
}
#proy-contenedor a > * {
	margin: 0.5rem 0;
}
#proy-contenedor .tit {
	font-size: 1.2rem;
	font-weight: 700;
}
#proy-contenedor .est {
	color: var(--e-global-color-primary);
	background: var(--e-global-color-accent);
	padding: 0.5rem 1rem;
	display: inline-flex;
	width: fit-content;
	font-size: 0.7rem;
	text-transform: uppercase;
}
@media (min-width: 769px) {
	#proy-contenedor {
		display: grid;
		grid-template-columns: 1fr 1fr 1fr;
		grid-gap: 30px;
		align-items: center;
	}
}

/* entradas de blog */
.single-post .page-header.titulo img {
	margin: 20px 0;
	border-radius: 0;
}
.single-post .page-content {
	margin-bottom: 90px;
}
.blog-pn {
	display: flex;
	width: 100%;
	justify-content: space-between;
	border-top: 1px solid var(--e-global-color-accent);
	border-bottom: 1px solid var(--e-global-color-accent);
	color: var(--e-global-color-primary);
	margin: 70px 0;
	padding: 1rem 0;
}
.blog-pn .previous-button,
.blog-pn .next-button {
	display: inline-block;
	font-size: .9rem;
}

/* woocommerce */
.woocommerce-cart .cart-collaterals .cart_totals > h2 {font-size: 28px; text-align: center;}
.woocommerce div.product p.price {color: var(--e-global-color-primary);}
.woocommerce .quantity .qty {width: 4.631em!important;}

/* ajustes anchura woo */
.woocommerce-notices-wrapper {
	max-width: 1200px;
    margin: 0 auto;
}
@media (min-width: 1400px){
	.site-header, body:not([class*=elementor-page-]) .site-main {
		max-width: 1200px;
		margin: 10% auto;
	}
}

/* cart page */
.woocommerce-cart table.cart img {
	width: 150px;
}
.woocommerce table.shop_table th,
.woocommerce table.shop_table td {
		border-right-width: 0!important;
	}
@media only screen and (max-width: 768px) {
	.woocommerce-cart table.cart .product-remove .woocommerce a.remove {
		display: inline-block;
	}
	.woocommerce #content table.cart .product-thumbnail, .woocommerce table.cart .product-thumbnail, .woocommerce-page #content table.cart .product-thumbnail, .woocommerce-page table.cart .product-thumbnail,
	.woocommerce table.shop_table_responsive tr td, .woocommerce-page table.shop_table_responsive tr td {
		display: block;
		text-align: center!important;
	}
	.woocommerce table.shop_table_responsive td {border-bottom-width:0!important;}
	.woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before {
		content: unset;
		font-weight: unset;
		float: none;
	}
	.woocommerce table.shop_table_responsive tr:nth-child(2n) td, .woocommerce-page table.shop_table_responsive tr:nth-child(2n) td {
		background-color: transparent;
	}
	.woocommerce table.shop_table_responsive .quantity {
		width: 100px;
		display: inline-block;
	}
	.woocommerce-page table.shop_table_responsive .product-price {display:none;}
	.woocommerce table.shop_table_responsive .product-subtotal {border-bottom: 1px solid rgba(0,0,0,.1)!important;}
}

.woocommerce div.product form.cart .button.single_add_to_cart_button {
	outline: none;
	-webkit-appearance: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.woocommerce div.product form.cart .button.single_add_to_cart_button:hover, .woocommerce div.product form.cart .button.single_add_to_cart_button:focus {
	/*border: 1px solid var(--e-global-color-primary);*/
	background: var(--e-global-color-primary);
	color: var(--e-global-color-secondary)!important;
}

.woocommerce-message {
	border-top: 1px solid var(--e-global-color-primary)!important;
	border: 1px solid var(--e-global-color-primary);
	background-color: var(--e-global-color-secondary)!important;
	color: var(--e-global-color-primary)!important;
}

.woocommerce-message:before {
	color: var(--e-global-color-primary)!important;
}

.woocommerce a, .woocommerce a:hover {color: var(--e-global-color-text);}
.woocommerce a.button, .woocommerce table.cart td.actions .button, a.checkout-button.button.alt.wc-forward , button#place_order.button.alt {
	min-height: 40px;
	font-size: 1,2rem;
	font-weight: 400;
	border-radius: 0;
	border: 1px solid var(--e-global-color-primary);
	background: var(--e-global-color-primary);
	color: var(--e-global-color-secondary)!important;
	outline: none;
	-webkit-appearance: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.woocommerce a.button:hover, .woocommerce a.button:focus, .woocommerce table.cart td.actions .button:hover, .woocommerce table.cart td.actions .button:focus, a.checkout-button.button.alt.wc-forward:hover, a.checkout-button.button.alt.wc-forward:focus, button#place_order.button.alt:hover, button#place_order.button.alt:focus {
	border: 1px solid var(--e-global-color-primary);
	background: var(--e-global-color-primary);
	color: var(--e-global-color-secondary)!important;
}

.woocommerce table.shop_table {
	border-color: rgba(0,0,0,.1)!important;
	border-radius: 0px!important;
	/*border-right: none!important;*/
}

table td, table th {
	border-color: rgba(0,0,0,.1)!important;
	border-top: none!important;
	border-left: none!important;
}

.woocommerce table.cart td.actions {display:none;}
.order-total > * {
	border-bottom: none!important;
	/*border-right: 1px solid rgba(0,0,0,.1)!important;*/
}

.cart-subtotal > * {
	border-right: 1px solid rgba(0,0,0,.1)!important;
}

table tbody>tr:nth-child(odd)>td, table tbody>tr:nth-child(odd)>th {
	background-color: var(--e-global-color-secondary)!important;
}

.woocommerce-cart .cart-collaterals .cart_totals {
	max-width: 500px;
    margin: 6rem 0;
}
@media (max-width: 768px) {
	.woocommerce-cart .cart-collaterals .cart_totals tbody th {
		display: inline-block;
		border: 0!important;
	}
	.woocommerce-cart .cart-collaterals .cart_totals tr td {
		display: inline-block;
	}
	.woocommerce-variation-price {
		padding: 20px 0;
		text-align: center;
		margin-top: -60px;
	}
}
@media (min-width: 1100px) {
	form.woocommerce-cart-form .shop_table_responsive {border-bottom:0;}
	.woocommerce-cart .cart-collaterals .cart_totals {
		border: 1px solid var(--e-global-color-primary);
		padding: 3rem 3rem 1rem;
	}
	.woocommerce-variation-price {padding: 0 68px 20px;}
}

.woocommerce-cart .cart-collaterals .cart_totals, .woocommerce-cart .cart-collaterals .cross-sells, .woocommerce div.product .product_meta, .woocommerce-cart .cart-collaterals .cart_totals > h2, .woocommerce div.product .woocommerce-tabs ul.tabs, .woocommerce a.remove, .woocommerce form .form-row textarea, .woocommerce input[type="email"], .woocommerce input[type="number"], .woocommerce input[type="password"], .woocommerce input[type="reset"], .woocommerce input[type="search"], .woocommerce input[type="tel"], .woocommerce input[type="text"], .woocommerce input[type="url"], .woocommerce textarea, .woocommerce-page form .form-row textarea, .woocommerce-page input[type="email"], .woocommerce-page input[type="number"], .woocommerce-page input[type="password"], .woocommerce-page input[type="reset"], .woocommerce-page input[type="search"], .woocommerce-page input[type="tel"], .woocommerce-page input[type="text"], .woocommerce-page input[type="url"], .woocommerce-page textarea, .woocommerce-page.woocommerce-checkout form #order_review_heading, .woocommerce.woocommerce-checkout form #order_review_heading, .woocommerce-page.woocommerce-checkout form #order_review, .woocommerce-page.woocommerce-checkout #customer_details h3, .woocommerce.woocommerce-checkout #customer_details h3, .woocommerce .select2-container .select2-selection--single, .woocommerce select, .woocommerce-page .select2-container .select2-selection--single, .woocommerce-page select, .woocommerce .widget_shopping_cart .total, .woocommerce.widget_shopping_cart .total, .woocommerce-cart .cart-collaterals .cross-sells > h2 {
	border-color: var(--e-global-color-primary);
	border-radius: 0!important;
}

.select2-dropdown {
	border: 1px solid var(--e-global-color-primary)!important;
	border-radius: 0!important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[data-selected] {
	background-color: var(--e-global-color-primary);
}

.select2-container--default .select2-selection--single .select2-selection__rendered, input[type="email"], input[type="number"], input[type="password"], input[type="reset"], input[type="search"], input[type="tel"], input[type="text"], input[type="url"], select, textarea {
	color: var(--e-global-color-primary);
}


/* checkout */
@media (min-width: 1100px) {
	.woocommerce-checkout form {margin: 6rem auto;}
	.woocommerce-checkout .col2-set {
		width: 50% !important;
		float: none !important;
		display: inline-block;
	}
	.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1 {
		float: none;
		width: 100%;
	}
	h3#order_review_heading {
		display:none;
	}
	#customer_details+#wc_checkout_add_ons,
	#order_review {
		border: 1px solid #000;
		padding: 1rem;
		width: 40%;
		float: right;
		margin: 10% 0 0 10%;
	}
}
.woocommerce-shipping-fields {display: none;} /*ocultar enviar a otra dirección */

.woocommerce-billing-fields h3 {text-align: center;}
.woocommerce-billing-fields, .woocommerce-account-fields {font-size: .9em;}
.woocommerce-checkout-review-order-table th,
.woocommerce-checkout-review-order-table td {border: 0;}

.woocommerce-checkout-payment {
	background: var(--e-global-color-secondary)!important;
	border: 1px solid rgba(0,0,0,.1)!important;
	border-radius: 0!important;
	margin-bottom: 1rem;
}

ul.wc_payment_methods.payment_methods.methods {
	border-bottom: 1px solid rgba(0,0,0,.1)!important;
}

div.payment_box.payment_method_paypal, div.payment_box.payment_method_cecabank_gateway {
	border-radius: 0!important;
}

.woocommerce form .form-row input.input-text,
.woocommerce-page .select2-container .select2-selection--single,
.select2-container--default .select2-selection--single .select2-selection__arrow {min-height: 45px;}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 45px;
}

.woocommerce div.product form.cart .variations select {
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	appearance: none;
	outline: 0;
	box-shadow: none;
	border: 1px solid var(--e-global-color-primary)!important;
	background: transparent;
	background-image: none;
	height: 50px;
}

.woocommerce div.product form.cart .reset_variations {
	margin-left: 16px;
	color: var(--e-global-color-primary)!important;
}

.woocommerce div.product form.cart .variations .value, .woocommerce div.product form.cart .variations td.label {
	padding-right: 0;
}

.woocommerce div.product form.cart .variations td.label {
	line-height: 3em;
}

.woocommerce div.product.elementor form.cart:not(.grouped_form):not(.variations_form) {margin-bottom: 2em!important;}
.ship_info {
    text-align: right;
    display: block;
    font-size: .9rem;
}

.woocommerce a.remove, .woocommerce a.remove:hover {
	color: #fff!important;
	background: #000;
	border: 1px solid #000;
	border-radius: 20px!important;
	line-height: .7em;
}

@media (max-width: 768px) {
	.woocommerce div.product form.cart .variations td.label {
		width: 100%;
		display: block;
		text-align: center;
		line-height: 1;
	}
	.woocommerce div.product form.cart .variations td.value {
		width: 100%;
		display: block;
	}
}

span.price {
	color: var(--e-global-color-primary)!important;
}

/* cart page */
.woocommerce-cart main {
	margin: 6rem auto;
	min-height: 80vh
}

.woocommerce-error, .woocommerce-info, .woocommerce-message {
	border-top: 1px solid var(--e-global-color-primary)!important;
	border: 1px solid var(--e-global-color-primary);
	background-color: var(--e-global-color-secondary)!important;
	color: var(--e-global-color-primary)!important;
}

.woocommerce-info:before {
	color: var(--e-global-color-primary)!important;
}
.woocommerce-additional-fields, span.optional {
	visibility: hidden!important;
}
.about_paypal {
	display: none;
} 